#
# spec file for package obs-service-erlang_changes
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define service erlang_changes

Name:           obs-service-%{service}
Version:        0.1.1
Release:        1.1
Summary:        Erlang changelog formatting OBS service
License:        GPL-2.0-or-later
Group:          Development/Tools/Building
Url:            https://github.com/matwey/obs-service-%{service}
Source:         %{name}-%{version}.tar.gz
Requires:       python >= 2.7
Requires:       python-lxml
Requires:       python-six >= 1.10.0
BuildRequires:  fdupes
BuildRequires:  python >= 2.7
BuildRequires:  python-freezegun
BuildRequires:  python-lxml
BuildRequires:  python-setuptools
BuildRequires:  python-six >= 1.10.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The service looks over notes.xml in Erlang/OTP release tarball and produces
formatted erlang.changes file for RPM packaging.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%fdupes %{buildroot}/%{_prefix}

%check
python setup.py test

%files
%defattr(-,root,root)
%doc README.md
%license LICENSE
%{python_sitelib}/*
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
* Tue Feb 26 2019 matwey.kornilov@gmail.com
- Update to version 0.1.1:
  * Version 0.1.1
  * Deploy erlang_changes script using entry_points
  * Raise an exception when major versions are different
  * Select all <p> but the last from each item
  * Make otp_source glob expansion determenistic
  * Add LGTM badge to README.md
* Sun Dec 16 2018 matwey.kornilov@gmail.com
- Initial version
